orte/mca/gpr/replica/functional_layer/gpr_replica_segment_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_segment_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_segment_fn.c \- The Open MPI general purpose registry - support functions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/argv.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_find_containers\fP (\fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_addr_mode_t addr_mode, orte_gpr_replica_itag_t *taglist, size_t num_tags)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_create_container\fP (\fBorte_gpr_replica_container_t\fP **cptr, \fBorte_gpr_replica_segment_t\fP *seg, size_t num_itags, orte_gpr_replica_itag_t *itags)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_release_container\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_add_keyval\fP (orte_gpr_replica_itagval_t **ivalptr, \fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_keyval_t *kptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_itagval\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_update_keyval\fP (orte_gpr_replica_itagval_t **iptr2, \fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_keyval_t *kptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_search_container\fP (orte_gpr_replica_addr_mode_t addr_mode, orte_gpr_replica_itag_t *itags, size_t num_itags, \fBorte_gpr_replica_container_t\fP *cptr)"
.br
.ti -1c
.RI "bool \fBorte_gpr_replica_value_in_container\fP (\fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_value\fP (void *value, orte_gpr_replica_itagval_t *ival)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_compare_values\fP (int *cmp, orte_gpr_replica_itagval_t *ival1, orte_gpr_replica_itagval_t *ival2)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_release_segment\fP (\fBorte_gpr_replica_segment_t\fP **seg)"
.br
.RI "\fISEGMENT OPERATIONS. \fP"
.ti -1c
.RI "int \fBorte_gpr_replica_purge_itag\fP (\fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t itag)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - support functions. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
